claw::scan_events< Graph > Class Template Reference

Different stages of graph scanning. More...

`#include <graph_algorithm.hpp>`

Inheritance diagram for claw::scan_events< Graph >:

## Public Types

typedef Graph::vertex_type | vertex_type

## Public Member Functions

void | init (const Graph &g)
void | start_vertex (const vertex_type &v)
void | visit_edge (const vertex_type &v1, const vertex_type &v2)
void | end_vertex (const vertex_type &v)

## Detailed Description

template<class Graph>
class claw::scan_events< Graph >

Different stages of graph scanning.

Definition at line 43 of file graph_algorithm.hpp.

## Member Typedef Documentation

## vertex_type

template<class Graph>

typedef Graph::vertex_type claw::scan_events< Graph >::vertex_type

Definition at line 46 of file graph_algorithm.hpp.

## Member Function Documentation

## end_vertex()

template<class Graph>

void claw::scan_events< Graph >::end_vertex | ( | const vertex_type & | v | ) |

inline

Definition at line 52 of file graph_algorithm.hpp.

## init()

template<class Graph>

void claw::scan_events< Graph >::init | ( | const Graph & | g | ) |

inline

Definition at line 49 of file graph_algorithm.hpp.

## start_vertex()

template<class Graph>

void claw::scan_events< Graph >::start_vertex | ( | const vertex_type & | v | ) |

inline

Definition at line 50 of file graph_algorithm.hpp.

## visit_edge()

template<class Graph>

void claw::scan_events< Graph >::visit_edge | ( | const vertex_type & | v1,
|  | const vertex_type & | v2 )

inline

Definition at line 51 of file graph_algorithm.hpp.

The documentation for this class was generated from the following file:

- graph_algorithm.hpp